Subject: Re: FW: NPTL support on PPC32 (MPC5200) ?

From: Jim Freeman <[email-masked]>
Date: Tue, 12 Oct 2004 23:42:09 -0600

On Tue, Oct 12, 2004 at 11:18:55PM -0600, Jim Freeman wrote:
> I find that I have to apply the attached patch to
> 
> 	contrib/crosstool-0.28-rc34-nptl_fixes.patch
...
> [ ARCH=ppc, but dirname = powerpc/ ]
> 
> The build hasn't finished yet, but at least it no longer dies at this
> spot.

Phbbt - dies later with

	In file included from ../sysdeps/powerpc/elf/libc-start.c:55:
	../sysdeps/generic/libc-start.c: In function `generic_start_main':
	../sysdeps/generic/libc-start.c:93: sorry, unimplemented: function 'generic_start_main' can never be inlined because it uses setjmp
	make[2]: *** [/opt/src/crosstool-0.28-rc37/build/powerpc-8540-linux-gnu/gcc-3.4.2-glibc-2.3.3/build-glibc-startfiles/csu/libc-start.o] Error 1
	make[2]: Leaving directory `/opt/src/crosstool-0.28-rc37/build/powerpc-8540-linux-gnu/gcc-3.4.2-glibc-2.3.3/glibc-2.3.3/csu'
	make[1]: *** [csu/subdir_lib] Error 2
	make[1]: Leaving directory `/opt/src/crosstool-0.28-rc37/build/powerpc-8540-linux-gnu/gcc-3.4.2-glibc-2.3.3/glibc-2.3.3'
	make: *** [csu/subdir_lib] Error 2

Tired, bed (I'm a wimp).